{{- define "main" -}}

{{ partial "page_header.html" . }}

<div class="construct-overview-wrapper">

  <div class="construct-overview-intro">
    In addition to the overview below, there are overviews containing only the <a href="https://psycore.one/definitions">construct definitions</a> or the instructions for <a href="https://psycore.one/measurement-instruments">developing measurement instruments (for empirical research)</a>, <a href="https://psycore.one/coding-measurement-instruments">coding measurement instruments (for systematic reviews)</a>, and for <a href="https://psycore.one/qualitative-data">eliciting construct content</a>, and <a href="https://psycore.one/coding-qualitative-data">coding qualitative data</a> (both for qualitative research). This repository was last updated at {{ now.Format "2006-01-02 at 15:04:05 (UTC)" }}.
  </div>

  <table id="construct-overview">
    <thead>
      <tr>
        <th>Construct label</th>
        <th>Construct definition</th>
        <th>Developing measurement instruments</th>
        <th>Coding measurement instruments</th>
        <th>Eliciting qualitative data</th>
        <th>Coding qualitative data</th>
        <th>Unique construct identifier (UCID)</th>
      </tr>
    </thead>
    <tbody>
    {{ range $.Site.Data.dctspecs }}
     <tr>
      <td>{{ .dct.label }}</td>
      <td>
        <script>
          if ("{{ .dct.definition.definition }}".length > 0) {
            document.write('<a href="#{{ .dct.id }}_definition" rel="modal:open"><img src="../images/dct_definition.svg" width="55px" /></a>');
          }
        </script>
      </td>
      <td>
        <script>
          if ("{{ .dct.measure_dev.instruction }}".length > 0) {
            document.write('<a href="#{{ .dct.id }}_measure_dev" rel="modal:open"><img src="../images/dct_measurement.svg" width="55px" /></a>');
          }
        </script>
      </td>
      <td>
        <script>
          if ("{{ .dct.measure_code.instruction }}".length > 0) {
            document.write('<a href="#{{ .dct.id }}_measure_code" rel="modal:open"><img src="../images/dct_measurement-coding.svg" width="55px" /></a>');
          }
        </script>
      </td>
      <td>
        <script>
          if ("{{ .dct.aspect_dev.instruction }}".length > 0) {
            document.write('<a href="#{{ .dct.id }}_aspect_dev" rel="modal:open"><img src="../images/dct_aspect.svg" width="55px" /></a>');
          }
        </script>
      </td>
      <td>
        <script>
          if ("{{ .dct.aspect_code.instruction }}".length > 0) {
            document.write('<a href="#{{ .dct.id }}_aspect_code" rel="modal:open"><img src="../images/dct_aspect-coding.svg" width="55px" /></a>');
          }
        </script>
      </td>
      <td><a href="https://psycore.one/{{ .dct.id }}">{{ .dct.id }}</a></td>
    </tr>
    {{ end }}
    </tbody>
  </table>
</div>

<!-- Start of modal DIVs with more info -->
{{ range $.Site.Data.dctspecs }}
  <div id="{{ .dct.id }}_definition" class="modal">
    <p>{{ .dct.definition.definition | markdownify }}</p>
    <a href="#" rel="modal:close">Close</a>
  </div>
  <div id="{{ .dct.id }}_measure_dev" class="modal">
    <p>{{ .dct.measure_dev.instruction | markdownify }}</p>
    <a href="#" rel="modal:close">Close</a>
  </div>
  <div id="{{ .dct.id }}_measure_code" class="modal">
    <p>{{ .dct.measure_code.instruction | markdownify }}</p>
    <a href="#" rel="modal:close">Close</a>
  </div>
  <div id="{{ .dct.id }}_aspect_dev" class="modal">
    <p>{{ .dct.aspect_dev.instruction | markdownify }}</p>
    <a href="#" rel="modal:close">Close</a>
  </div>
  <div id="{{ .dct.id }}_aspect_code" class="modal">
    <p>{{ .dct.aspect_code.instruction | markdownify }}</p>
    <a href="#" rel="modal:close">Close</a>
  </div>
{{ end }}
<!-- End of modal DIVs with more info -->


<script src="https://cdn.jsdelivr.net/npm/marked/marked.min.js">
</script>

<script defer src="/js/overview.js">
</script>

{{- end -}}
